var importador = mapperFactory.createMapper("Importador");
var i = 0;
var obj = message.get("obj");

try {
    var isCadastrado = importador.selectOne("listarFpFunc", obj);
    if(!isCadastrado){
	    importador.insert("incluirFuncionario",obj);
	    importador.commit();
	    msg = "Funcionario cadastrado com sucesso";
	    msg;
    }else{
        throw {code: 599, message: 'Funcionario ja cadastrado.'};
    }
}catch(err) {
    java.lang.System.out.println(err);
    importador.rollback();
	if(err.code){
	  throw JSON.stringify(err);
	}else{
		throw err;
	}
}
